Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gjt.sp.jedit
Class MiscUtilities.StringCompare

    java.lang.Object
      org.gjt.sp.jedit.MiscUtilities.StringCompare

All Implemented Interfaces:
  java.util.Comparator, MiscUtilities.Compare

Enclosing class:
  MiscUtilities

Deprecated. use `StandardUtilities.StringCompare`

    @Deprecated
    public static class MiscUtilities.StringCompare

extends java.lang.Object
implements MiscUtilities.Compare

Compares strings.

Constructor Summary
`MiscUtilities.StringCompare()` Deprecated.

Method Summary
`int` | `compare(java.lang.Object obj1, java.lang.Object obj2)` Deprecated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.util.Comparator
`equals`

Constructor Detail

### MiscUtilities.StringCompare

    public MiscUtilities.StringCompare()

  Deprecated.

Method Detail

### compare

    public int compare(java.lang.Object obj1,
                       java.lang.Object obj2)

  Deprecated.
  Specified by:
    `compare` in interface `java.util.Comparator`
  Specified by:
    `compare` in interface `MiscUtilities.Compare`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD